"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const File_1 = require("./File");
const TypescriptConfig_1 = require("./TypescriptConfig");
class CombinedTargetAndLanguageLevel {
    constructor(combination) {
        this.combination = combination;
        this.combination = this.combination || "browser";
    }
    getTarget() {
        const [target] = this.splitCombination();
        return target;
    }
    getLanguageLevel() {
        const [, languageLevel] = this.splitCombination();
        return TypescriptConfig_1.getScriptLevelNumber(languageLevel);
    }
    getLanguageLevelOrDefault(defaultLanguageLevel = File_1.ScriptTarget.ES2018) {
        const languageLevel = this.getLanguageLevel();
        return languageLevel ? languageLevel : defaultLanguageLevel;
    }
    splitCombination() {
        return this.combination.toLowerCase().split("@");
    }
}
exports.CombinedTargetAndLanguageLevel = CombinedTargetAndLanguageLevel;
