"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class StyledComponentsPluginClass {
    constructor(options = {}) {
        this.options = options;
    }
    init(context) {
        if (typeof require.resolve === "function") {
            try {
                require.resolve("typescript-plugin-styled-components");
            }
            catch (e) {
                throw new Error(`Cannot find module 'typescript-plugin-styled-components', install it to devDependency\nnpm install --save-dev typescript-plugin-styled-components`);
            }
        }
        const createStyledComponentsTransformer = require("typescript-plugin-styled-components").default;
        context.allowExtension(".tsx");
        const styledComponentsTransformer = createStyledComponentsTransformer(this.options);
        context.fuse.opts.transformers = {
            before: [styledComponentsTransformer],
        };
    }
}
exports.StyledComponentsPluginClass = StyledComponentsPluginClass;
exports.StyledComponentsPlugin = options => {
    return new StyledComponentsPluginClass(options);
};
