import { File } from "../../core/File";
import { WorkFlowContext } from "../../core/WorkflowContext";
import { Plugin } from "../../core/WorkflowContext";
/**
 * @export
 * @class FuseBoxBabel7Plugin
 * @implements {Plugin}
 */
export declare class Babel7PluginClass implements Plugin {
    /**
     * We can add tsx and ts here as well
     * Because Babel won't capture it just being a Plugin
     * Typescript files are handled before any external plugin is executed
     */
    extensions: Array<string>;
    test: RegExp;
    context: WorkFlowContext;
    private limit2project;
    private configPrinted;
    private configLoaded;
    private configFile;
    private configRequired;
    private config;
    constructor(opts: any);
    /**
     * @see this.init
     */
    private loadOptionsAndValidate;
    /**
     * @param {WorkFlowContext} context
     */
    init(context: WorkFlowContext): void;
    /**
     * @param {File} file
     */
    transform(file: File): void;
}
export declare const Babel7Plugin: (opts?: any) => Babel7PluginClass;
